Grant access to an account and/or card
curl --request POST \
--url https://api.next.orenda.finance/v1/access-management/accesses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-program-id: <api-key>' \
--data '
{
"customerId": "cust_3f9a2b7e",
"accountId": "acc_4e8a1c6d",
"cardId": "card_2a7f9b3e",
"accountAccess": true,
"cardAccess": true
}
'const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'x-program-id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
customerId: 'cust_3f9a2b7e',
accountId: 'acc_4e8a1c6d',
cardId: 'card_2a7f9b3e',
accountAccess: true,
cardAccess: true
})
};
fetch('https://api.next.orenda.finance/v1/access-management/accesses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.next.orenda.finance/v1/access-management/accesses"
payload = {
"customerId": "cust_3f9a2b7e",
"accountId": "acc_4e8a1c6d",
"cardId": "card_2a7f9b3e",
"accountAccess": True,
"cardAccess": True
}
headers = {
"Authorization": "Bearer <token>",
"x-program-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"message": "Operation completed successfully"
}
}{
"success": false,
"code": "<string>",
"message": "<string>"
}{
"success": false,
"code": "<string>",
"message": "<string>"
}{
"success": false,
"code": "<string>",
"message": "<string>"
}{
"success": false,
"code": "<string>",
"message": "<string>"
}Access grants
Grant access to an account and/or card
Grants an invited customer access to a specific account and/or card. At least one of accountAccess or cardAccess must be true, and cardId is required when cardAccess is true.
POST
/
v1
/
access-management
/
accesses
Grant access to an account and/or card
curl --request POST \
--url https://api.next.orenda.finance/v1/access-management/accesses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-program-id: <api-key>' \
--data '
{
"customerId": "cust_3f9a2b7e",
"accountId": "acc_4e8a1c6d",
"cardId": "card_2a7f9b3e",
"accountAccess": true,
"cardAccess": true
}
'const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'x-program-id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
customerId: 'cust_3f9a2b7e',
accountId: 'acc_4e8a1c6d',
cardId: 'card_2a7f9b3e',
accountAccess: true,
cardAccess: true
})
};
fetch('https://api.next.orenda.finance/v1/access-management/accesses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.next.orenda.finance/v1/access-management/accesses"
payload = {
"customerId": "cust_3f9a2b7e",
"accountId": "acc_4e8a1c6d",
"cardId": "card_2a7f9b3e",
"accountAccess": True,
"cardAccess": True
}
headers = {
"Authorization": "Bearer <token>",
"x-program-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"message": "Operation completed successfully"
}
}{
"success": false,
"code": "<string>",
"message": "<string>"
}{
"success": false,
"code": "<string>",
"message": "<string>"
}{
"success": false,
"code": "<string>",
"message": "<string>"
}{
"success": false,
"code": "<string>",
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The program the request acts on.
Body
application/json
⌘I